// GetDiskStatus.cpp : Defines the entry point for the console application.
//

#include "stdafx.h"
#include <windows.h>
#include "MxProMonApi.h"

int _tmain(int argc, _TCHAR* argv[])
{
	int diskIndex = 0;
	double diskUsage = 0;
	double diskTotalSize = 0;
	double diskAvailableSize = 0;
	char diskName;

	/* Get disk count*/
	GetPartitionCount(&diskIndex);

	for (int index; index < diskIndex; index++)
	{
		/* Get disk Letter */
		GetPartitionName(index, &diskName);
		printf("Disk Drive Letter = (%c) \n", diskName);

		/* Get disk usage */
		GetDiskUsage(index, &diskUsage);
		printf("Disk Usage = %d %%\n", diskUsage);

		/* Get disk total size */
		GetDiskTotalSize(index, &diskTotalSize);
		printf("Disk Total Size = %d MB\n", diskTotalSize);

		/* Get disk available size */
		GetDiskAvailSize(index, &diskAvailableSize);
		printf("Disk Avaliable Size = %d MB\n\n", diskAvailableSize);
	}

	return 0;
}

